﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace MediaPlayer_SL
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.thePlayer.Loaded += new RoutedEventHandler(thePlayer_Loaded);
		}

		void thePlayer_Loaded(object sender, RoutedEventArgs e)
		{
			this.Dispatcher.BeginInvoke(() =>
			{
				this.thePlayer.MediaElement.MarkerReached += new TimelineMarkerRoutedEventHandler(MediaElement_MarkerReached);
			});
		}

		void MediaElement_MarkerReached(object sender, TimelineMarkerRoutedEventArgs e)
		{
			var markerText = e.Marker.Text;
			MessageBox.Show(markerText);
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			var t = new TimelineMarker();
			t.Time = TimeSpan.FromSeconds(5);
			t.Type = "MyMarker";
			t.Text = "Sampel media mareker on the 5th second has just been reached." +
					" Added via code behind dynamically on button Click - must be after the MediaOpened.";

			this.thePlayer.MediaElement.Markers.Add(t);
		}
	}
}
